[MERGED] osmo-bts[master]: jenkins: add jenkins_bts_model.sh

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Wed Nov 30 03:29:58 UTC 2016


Neels Hofmeyr has submitted this change and it was merged.

Change subject: jenkins: add jenkins_bts_model.sh
......................................................................


jenkins: add jenkins_bts_model.sh

Change-Id: Ie7c32e68f789414fdf3c407c0da06cbf983f751a
---
A contrib/jenkins_bts_model.sh
1 file changed, 33 insertions(+), 0 deletions(-)

Approvals:
  Neels Hofmeyr: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/contrib/jenkins_bts_model.sh b/contrib/jenkins_bts_model.sh
new file mode 100755
index 0000000..58eac5b
--- /dev/null
+++ b/contrib/jenkins_bts_model.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+bts_model="$1"
+
+if [ ! -d "./contrib" ]; then
+  echo "Run ./contrib/jenkins_bts_model.sh from the root of the osmo-bts tree"
+  exit 1
+fi
+
+set -x -e
+
+case "$bts_model" in
+
+  sysmo)
+    ./contrib/jenkins_sysmobts.sh
+  ;;
+
+  oct)
+    ./contrib/jenkins_oct.sh
+  ;;
+
+  trx)
+    ./contrib/jenkins_bts_trx.sh
+  ;;
+
+  oct+trx)
+    ./contrib/jenkins_oct_and_bts_trx.sh
+  ;;
+
+  *)
+    set +x
+    echo "Unknown BTS model '$bts_model'"
+  ;;
+esac

-- 
To view, visit https://gerrit.osmocom.org/1351
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: Ie7c32e68f789414fdf3c407c0da06cbf983f751a
Gerrit-PatchSet: 1
Gerrit-Project: osmo-bts
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list